
/*
 * Copyright (c) 2006-2013 The StarBED Project  All rights reserved.
 *
 * See the file 'LICENSE' for licensing information.
 *
 */

/************************************************************************
 *
 * QOMET Emulator Implementation
 *
 * File name: message.h
 * Function: Header file for the messages in the wireconf library
 *
 * Authors: Razvan Beuran
 *
 *   $Revision: 128 $
 *   $LastChangedDate: 2009-02-06 10:21:50 +0900 (Fri, 06 Feb 2009) $
 *   $LastChangedBy: razvan $
 *
 ***********************************************************************/


#ifdef MESSAGE_WARNING
#define WARNING(message...) do {                                          \
  fprintf(stdout, "wireconf WARNING: %s, line %d: ", __FILE__, __LINE__); \
  fprintf(stdout, message); fprintf(stdout,"\n");                         \
} while(0)
#else
#define WARNING(message...)	/* message */
#endif

#ifdef MESSAGE_DEBUG
#define DEBUG(message...) do {                                            \
  fprintf(stdout, "wireconf DEBUG: %s, line %d: ", __FILE__, __LINE__);   \
  fprintf(stdout, message); fprintf(stdout,"\n");                         \
} while(0)
#else
#define DEBUG(message...)	/* message */
#endif

#ifdef MESSAGE_INFO
#define INFO(message...) do {                                            \
  fprintf(stdout, message); fprintf(stdout,"\n");                        \
} while(0)
#else
#define INFO(message...)	/* message */
#endif
