#!/bin/bash

# init variables
TOTAL_FAILED=0

# print header
echo "==============================================================="
echo "Regression test suite for validating QOMET software"
echo "==============================================================="


# run each series of tests

cd qomet_scenario
./run_tests_qomet_scenario.sh
TOTAL_FAILED=`expr ${TOTAL_FAILED} + $?`
cd ..

echo "---------------------------------------------------------------"
cd node
./run_tests_node.sh
TOTAL_FAILED=`expr ${TOTAL_FAILED} + $?`
cd ..

echo "---------------------------------------------------------------"
cd object
./run_tests_object.sh
TOTAL_FAILED=`expr ${TOTAL_FAILED} + $?`
cd ..

echo "---------------------------------------------------------------"
cd environment
./run_tests_environment.sh
TOTAL_FAILED=`expr ${TOTAL_FAILED} + $?`
cd ..

echo "---------------------------------------------------------------"
cd motion
./run_tests_motion.sh
TOTAL_FAILED=`expr ${TOTAL_FAILED} + $?`
cd ..

echo "---------------------------------------------------------------"
cd connection
./run_tests_connection.sh
TOTAL_FAILED=`expr ${TOTAL_FAILED} + $?`
cd ..


# print summary
echo "==============================================================="
echo -n "TEST SUITE SUMMARY: "
# check if there was any failure
if [ ${TOTAL_FAILED} -eq 0 ];
then
    echo "ALL tests were successful."
else
    echo "A total of ${TOTAL_FAILED} test(s) FAILED."
fi
echo "==============================================================="
