# command-line options
VALGRIND_OPTIONS="--tool=memcheck --leak-check=full --show-reachable=yes --track-fds=yes --trace-children=yes --track-origins=yes"
#VALGRIND_OPTIONS="-v --tool=helgrind"
#VALGRIND_OPTIONS="-v --tool=drd"
#VALGRIND_OPTIONS="-v --tool=exp-ptrcheck"   # doesn't seem to produce yet useful output for us?!

# qomet_scenario scenarios
#ITEM_LIST="cartesian lat_lon_alt"
ITEM_LIST="cartesian"
#ITEM_LIST=""
for ITEM in $ITEM_LIST
do
  valgrind ${VALGRIND_OPTIONS} ../../qomet -n ../qomet_scenario/test_qomet_scenario_${ITEM}.xml
done

# node scenarios
#ITEM_LIST="cisco_340 cisco_abg dei80211mr jennic orinoco s_node"
#ITEM_LIST="cisco_340"
ITEM_LIST=""
for ITEM in $ITEM_LIST
do
  valgrind ${VALGRIND_OPTIONS} ../../qomet -n ../node/test_node_${ITEM}.xml
done

# object scenarios
#ITEM_LIST="coordinate jpgis x1y1x2y2"
#ITEM_LIST="coordinate"
ITEM_LIST=""
for ITEM in $ITEM_LIST
do
  valgrind ${VALGRIND_OPTIONS} ../../qomet -n ../object/test_object_${ITEM}.xml
done

# environment scenarios
#ITEM_LIST="dynamic not_dynamic"
#ITEM_LIST="dynamic"
ITEM_LIST=""
for ITEM in $ITEM_LIST
do
  valgrind ${VALGRIND_OPTIONS} ../../qomet -n ../environment/test_environment_${ITEM}.xml
done

# motion scenarios
#ITEM_LIST="behavioral circular linear1 linear2 random_walk rotation"
#ITEM_LIST="behavioral"
ITEM_LIST=""
for ITEM in $ITEM_LIST
do
  valgrind ${VALGRIND_OPTIONS} ../../qomet -n ../motion/test_motion_${ITEM}.xml
done

# connection scenarios
#ITEM_LIST="802.11 active_tag channel eth interference predefined rate rts_cts zigbee"
#ITEM_LIST="802.11"
ITEM_LIST=""
for ITEM in $ITEM_LIST
do
  valgrind ${VALGRIND_OPTIONS} ../../qomet -n ../connection/test_connection_${ITEM}.xml
done

