
# Run local experiment to verify bandwidth emulation in QOMET
echo "TEST DESCRIPTION: Run local experiment to verify bandwidth emulation in QOMET"

# set test parameters
TEST_NAME=$(basename $0)
QOMET_OUTPUT=test_wireconf-bw.xml.bin
NODE_SETTINGS=node_settings_local.txt
NODE1_ID=0
NODE1_IP=127.0.0.1
NODE2_ID=1
NODE2_IP=127.0.0.2
SCRIPT_PATH=/mnt/razvan_exfs1/work/qoala/qomet2/test_suite/wireconf

# set load higher than maximum available on 802.11b (around 6 Mbps)
# to verify bandwidth emulation in QOMET
# NOTE: queue filling up in dummynet will cause delay and loss results 
#       to be higher than expected
OFFERED_LOAD=10M

echo "TEST TYPE: Unidirectional"
echo "EXPECTED RESULTS (sample for 1->0):"
grep -v "datagrams received out-of-order" ${TEST_NAME}-iperf_s.log_unidir.valid | tail -1

# run experiment
${SCRIPT_PATH}/run_wireconf_test.sh ${TEST_NAME} ${QOMET_OUTPUT} ${NODE_SETTINGS} ${NODE2_ID} ${NODE2_IP} ${NODE1_ID} ${NODE1_IP} ${OFFERED_LOAD} > ${TEST_NAME}.log 2>&1

echo "ACTUAL RESULTS (1->0):"
grep -v "datagrams received out-of-order" ${TEST_NAME}-iperf_s.log | tail -1
