
/*
 * Copyright (c) 2006-2013 The StarBED Project  All rights reserved.
 *
 * See the file 'LICENSE' for licensing information.
 *
 */

/************************************************************************
 *
 * QOMET Emulator Implementation
 *
 * File name: management.h
 * Function: Header file of management.c 
 *
 * Authors: Razvan Beuran
 *
 *   $Revision: 128 $
 *   $LastChangedDate: 2009-02-06 10:21:50 +0900 (Fri, 06 Feb 2009) $
 *   $LastChangedBy: razvan $
 *
 ***********************************************************************/

#ifndef	__MANAGEMENT_H
#define	__MANAGEMENT_H

#include <sys/types.h>
#include <sys/socket.h>
#include <net/route.h>
//#include <sys/stddef.h>
#include <linux/stddef.h>
#include <stdio.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <net/if.h>
//#include <net/if_dl.h>
#include <sys/param.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <linux/rtnetlink.h>


////////////////////////////////////////////////
// wireconf library management functions
////////////////////////////////////////////////

// initialize the wireconf library; static data is stored in the 
// structure 'wireconf';
// return SUCCESS on succes, ERROR on error
int wireconf_init (struct wireconf_class *wireconf, int my_id,
		   in_addr_t * IP_addresses, int node_count,
		   int USE_MAC_ADDRESS);

// finalize wireconf execution and wait for end of thread execution;
// return SUCCESS on succes, ERROR on error
int wireconf_finalize (struct wireconf_class *wireconf);

// get the time elapsed (in seconds) since wireconf started execution
float get_elapsed_time (struct wireconf_class *wireconf);


////////////////////////////////////////////////
// statistics functions
////////////////////////////////////////////////

// include here to make it easy for users to access functions from the 
// statistics module fo the library
#include "statistics.h"

// deliver traffic statistics to wireconf library for distribution
// to other instances;
// return SUCCESS on succes, ERROR on error
int wireconf_deliver_stats (struct wireconf_class *wireconf,
			    struct stats_class *stats);

#endif
